<?php

namespace Litecms\Content;

use User;

class Content
{
    /**
     * $content object.
     */
    protected $content;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Content\Interfaces\ContentRepositoryInterface $content)
    {
        $this->content = $content;
    }

    /**
     * Returns count of content.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.content.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->content->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ContentUserCriteria());
        }

        $content = $this->content->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('content::' . $view, compact('content'))->render();
    }
}
