<?php

namespace Litecms\Content\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContentTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Content\Models\Content $content)
    {
        return [
            'id'                => $content->getRouteKey(),
            'key'               => [
                'public'    => $content->getPublicKey(),
                'route'     => $content->getRouteKey(),
            ], 
            'heading_keyword'   => $content->heading_keyword,
            'heading_text'      => $content->heading_text,
            'url'               => [
                'public'    => trans_url('content/'.$content->getPublicKey()),
                'user'      => guard_url('content/content/'.$content->getRouteKey()),
            ], 
            'status'            => trans('app.'.$content->status),
            'created_at'        => format_date($content->created_at),
            'updated_at'        => format_date($content->updated_at),
        ];
    }
}